%global namedreltag .CR1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-naming
Version:          5.0.6
Release:          0.2%{namedreltag}%{?dist}
Summary:          JBoss Naming
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org

# svn export http://anonsvn.jboss.org/repos/jbossas/projects/naming/tags/5.0.6.CR1/ jboss-naming-5.0.6.CR1
# tar cafJ jboss-naming-5.0.6.CR1.tar.xz jboss-naming-5.0.6.CR1
Source0:          %{name}-%{namedversion}.tar.xz

Patch0:           %{name}-%{namedversion}-pom.patch

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jboss-common-core
BuildRequires:    jboss-logging
BuildRequires:    jboss-parent
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-antrun-plugin
BuildRequires:    rmic-maven-plugin

Requires:         java
Requires:         jboss-common-core
Requires:         jboss-logging
Requires:         jpackage-utils

%description
The JBoss JNDI name server implementation

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

%build
# No jboss-test and jboss-kernel packages
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 jnpclient/target/jnp-client-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-client.jar
install -pm 644 jnpserver/target/jnpserver-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-server.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-build.pom
install -pm 644 jnpclient/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-client.pom
install -pm 644 jnpserver/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-server.pom

# DEPMAP
%add_maven_depmap JPP-%{name}-build.pom
%add_maven_depmap JPP-%{name}-client.pom %{name}-client.jar
%add_maven_depmap JPP-%{name}-server.pom %{name}-server.jar

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc JBossORG-EULA.txt

%files javadoc
%{_javadocdir}/%{name}
%doc JBossORG-EULA.txt

%changelog
* Tue Mar 6 2012 Ricardo Arguello <ricardo@fedoraproject.org> 5.0.6-0.2.CR1
- Cleanup of the spec file

* Mon Nov 21 2011 Marek Goldmann <mgoldman@redhat.com> 5.0.6-0.1.CR1
- Initial packaging
